﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Xamarin.Forms;
using XFPDF.Droid;

[assembly: Dependency(typeof(PDFConverter))]
namespace XFPDF.Droid
{
    public class PDFConverter : IPDFConverter
    {
        Android.Webkit.WebView webpage;
        public void ConvertHTMLtoPDF(string html) 
        {
            var dir = new Java.IO.File(Android.App.Application.Context.GetExternalFilesDir(null).AbsolutePath);
            var file = new Java.IO.File(dir + "/" + "Winjit.pdf");

            if (!dir.Exists())
                dir.Mkdirs();


            int x = 0;
            while (file.Exists())
            {
                x++;
                file = new Java.IO.File(dir + "/" + "Winjit" + "( " + x + " )" + ".pdf");
            }

            var context = MainActivity.GetContext();
          
            if (webpage == null)
                webpage = new Android.Webkit.WebView(context);

            int width = 2102;
            int height = 2973;

            webpage.Layout(0, 0, width, height);
            webpage.LoadDataWithBaseURL("", html, "text/html", "UTF-8", null);
            webpage.SetWebViewClient(new CustomWebView(file));
        }
    }
}